local M = {}

local cutsceneLength = 3
local cutsceneTimer = -1

local savedPlayerVehID = 0

local function onExtensionLoaded()
  
end

local function onCarDamaged(damagedVehID)
	if cutsceneTimer == -1 then
		-- If no cutscene currently playing
		-- go to damaged vehicle to play cutscene!
	
		local playerVeh = be:getPlayerVehicle(0)
	
		bullettime.set(1/8)
		print(damagedVehID .. " car damaged!")
		
		savedPlayerVehID = playerVeh:getID()
		be:enterVehicle(0, scenetree.findObjectById(damagedVehID))
	
		cutsceneTimer = 0
	end
end

local function onUpdate(dt)
	if cutsceneTimer >= cutsceneLength then
		-- End cut scene by going back to player vehicle
		bullettime.set(1)
		be:enterVehicle(0, scenetree.findObjectById(savedPlayerVehID))
		
		cutsceneTimer = -1
	end
	
	if cutsceneTimer >= 0 then
		cutsceneTimer = cutsceneTimer + dt
	end
end

M.onExtensionLoaded = onExtensionLoaded
M.onCarDamaged = onCarDamaged
M.onUpdate = onUpdate

return M